## CheckPromotionalCodes  [/help/post_promotional_code]

### AvaliblePromotionalCodes [POST]
Comprobar si un codigo promocional es valido

+ Request Ejemplo

    + Headers

        Accept-Charset: utf-8
        Authorization: YWxhZGRpbjpvcGVuc2VzYW1l

    + Body
        {
            "user_id": "000001",
        }

+ Response 200 (application/json)
    + Relation: 200: Ok

    + Headers
        Accept-Charset: utf-8
        Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiI2IiwiaWF0IjoxNTM5OTAzMDY4LCJleHAiOjE1Mzk5MDM2Njg1LCJuYW1lIjoiTHVpcyBHb256YWxleiBTdHJhdFBsdXMiLCJ1c2VybmFtZSI6Imxnb256YWxleiJ9.89D8duaBMvsg5X6e8YsyPrz_N-C9bDhT0vKxGGG0uKOyexGPAqh0QlKJ7YyIefVVeUfcTpqgNX3gAh4IPX207g
    
    + Body
        {
            "error": null,
            "result":[
                {
                    "id": 2,
                    "valid": true,
                    "code": "QRO23",
                    "discount": "15% de descuento",
                    "details": "en tu proximo viaje a Queretaro.",
                    "valid_date": "Abril 31, 2023",
                }
            ]
        }

+ Response 200 (application/json)
    + Relation: 200: Ok, no valido

    + Headers
        Accept-Charset: utf-8
        Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiI2IiwiaWF0IjoxNTM5OTAzMDY4LCJleHAiOjE1Mzk5MDM2Njg1LCJuYW1lIjoiTHVpcyBHb256YWxleiBTdHJhdFBsdXMiLCJ1c2VybmFtZSI6Imxnb256YWxleiJ9.89D8duaBMvsg5X6e8YsyPrz_N-C9bDhT0vKxGGG0uKOyexGPAqh0QlKJ7YyIefVVeUfcTpqgNX3gAh4IPX207g
    
    + Body
        {
            "error": null,
            "result":[
                {
                    "valid": false,
                    "id": ""
                    "code": "",
                    "discount": "",
                    "details": "",
                    "valid_date": "",
                }
            ]
        }

+ Response 500 (application/json)
    + Relation: 500: Error
    
    + Body
        {
            "error": {
                "code": 500,
                "message": "Internal Server Error"
            },
            "result": null
        }
